# Qt Quick 3D Physics

Qt Quick 3D Physics provides a high-level API for physics simulation. It supports simulating interactive rigid bodies as well as static meshes and non-colliding bodies used for detecting overlaps. Every simulated body can have its own physical properties like mass, density and friction.

## Documentation

The Qt Quick 3D Physics documentation is available as a submodule of the Qt Framework's documentation. You can find it in the Qt documentation [online](https://doc-snapshots.qt.io/qt6-dev/qtquick3dphysics-index.html), or you can build it locally from the source code.

## Reporting Issues

If you encounter any issues while using Qt Quick 3D Physics, you can report them on the [Qt bug tracker](https://bugreports.qt.io/). Before submitting a new issue, please check the existing issues to see if the issue has already been reported, and make sure to select the "Quick: 3D Physics" component when creating a new issue.

## Contributing

We welcome contributions to Qt Quick 3D Physics. If you are interested in contributing, please read the [Qt Contribution Guidelines](https://wiki.qt.io/Qt_Contribution_Guidelines) for more details.

## License

Qt Quick 3D Physics is available under the commercial license from The Qt Company. In addition, it is available under the [GNU General Public License, version 3](http://www.gnu.org/licenses/gpl-3.0.html). Further 3rd party Licenses and Attributions can be found in the LICENSES folder, as well as documented [here](https://doc-snapshots.qt.io/qt6-dev/qtquick3dphysics-index.html#license-and-attributions).
